## gate.gui
Class ApplicationEditor.PRsAndParamsTTModel

    java.lang.Object
      |
      +--javax.swing.tree.DefaultTreeModel
            |
            +--gate.gui.ApplicationEditor.PRsAndParamsTTModel

All Implemented Interfaces:
  Serializable, TreeModel, TreeTableModel

Enclosing class:
  ApplicationEditor

class ApplicationEditor.PRsAndParamsTTModel
extends DefaultTreeModel
implements TreeTableModel

See Also:
  Serialized Form

Fields inherited from class javax.swing.tree.DefaultTreeModel
`asksAllowsChildren, listenerList, root`

Constructor Summary
`(package private)` `ApplicationEditor.PRsAndParamsTTModel(SerialController aController)`

Method Summary
`void` `dataChanged()`
`Class` `getColumnClass(int column)` Returns the type for column number `column`.
`int` `getColumnCount()` Returns the number ofs availible column.
`String` `getColumnName(int column)` Returns the name for column number `column`.
`Object` `getValueAt(Object node, int column)` Returns the value to be displayed for node `node`, at column number `column`.
`boolean` `isCellEditable(Object node, int column)` Indicates whether the the value for node `node`, at column number `column` is editable.
`void` `setValueAt(Object aValue, Object node, int column)` Sets the value for node `node`, at column number `column`.

Methods inherited from class javax.swing.tree.DefaultTreeModel

`addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, readObject, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

Constructor Detail

### ApplicationEditor.PRsAndParamsTTModel

    ApplicationEditor.PRsAndParamsTTModel(SerialController aController)

Method Detail

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `TreeTableModel`
  Returns the number ofs availible column.
  Specified by:
    `getColumnCount` in interface `TreeTableModel`

### getColumnName

    public String getColumnName(int column)

  Description copied from interface: `TreeTableModel`
  Returns the name for column number `column`.
  Specified by:
    `getColumnName` in interface `TreeTableModel`

### getColumnClass

    public Class getColumnClass(int column)

  Description copied from interface: `TreeTableModel`
  Returns the type for column number `column`.
  Specified by:
    `getColumnClass` in interface `TreeTableModel`

### getValueAt

    public Object getValueAt(Object node,
                             int column)

  Description copied from interface: `TreeTableModel`
  Returns the value to be displayed for node `node`, at column number `column`.
  Specified by:
    `getValueAt` in interface `TreeTableModel`

### isCellEditable

    public boolean isCellEditable(Object node,
                                  int column)

  Description copied from interface: `TreeTableModel`
  Indicates whether the the value for node `node`, at column number `column` is editable.
  Specified by:
    `isCellEditable` in interface `TreeTableModel`

### setValueAt

    public void setValueAt(Object aValue,
                           Object node,
                           int column)

  Description copied from interface: `TreeTableModel`
  Sets the value for node `node`, at column number `column`.
  Specified by:
    `setValueAt` in interface `TreeTableModel`

### dataChanged

    public void dataChanged()